Subject: Re: TSS-8 anyone?
From: [email-masked] (John Everett)
Date: 18 Oct 1996 17:04:46 GMT
Newsgroups: alt.sys.pdp8

In article <[email-masked]>, [email-masked] 
says...
>
>The first computer I ever programmed was a PDP-8/I with
>TSS-8 (version 8.22 if my SECDED is working right).  Of
>curiosity, are there any TSS-8 systems still running?
>
>One entertaining thing for us bored high school students
>was to snag other users passwords by watching the teletype
>input buffers in the bottom 4K of memory.  Then wait for
>an unsuspecting user from a rival high school to log in.
>

I'd also be interested to know. Don Witcraft and I wrote TSS-8. Don wrote the 
scheduler, command decoder, and UUO handler. I designed and wrote the disk 
handler and file system and the 680-I service routine and TTY handler.

Originally we wanted to call it TS/8, sort of a spoof of TS/360; but DEC's 
legal department discovered that someone  was selling an OEM tape system 
called TS/8, so we settled for TSS-8. The first TSS-8 system was installed at 
Lexington High School in Massachusetts, on a sort of beta test basis. There 
was this 14 year kid there named Alan Sokol (I think) who was all over the 
system. He cracked the system password really quickly, so we had to modify 
the login procedure to make it more secure. When we upgraded it we changed 
the password to SOKOL, and I don't think he ever cracked it. Wonder what ever 
happened to young Alan.

The second system was installed at Northern Arizona University in Flagstaff. 
Since complete documentation wasn't available I shipped with the system to 
train them on how to run it. The DEC rep in the area knew a guy at Lowell 
Observatory named Peter Kent who was using Percival Lowell's old refractor to 
scout possible Apollo landing sites. We went up there one night and got to 
use the scope. One of those magic events in one's life. Among the things we 
looked at was Saturn. 

So if not for TSS-8 (and the lateness of the docs) I would never have seen 
the Rings of Saturn.

-- 
[email-masked] (John V. Everett)